Health Metrics
Create health metric measurement
Creates a measurement entry for a health metric.
POST
/
v1
/
public
/
health-metrics
/
{id}
/
measurements
Create health metric measurement
curl --request POST \
--url https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"measurementValue": 4.1,
"noteMessage": "Monthly health update"
}
'import requests
url = "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements"
payload = {
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"measurementValue": 4.1,
"noteMessage": "Monthly health update"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: {type: 'MONTH', startsAt: '2026-05-01', endsAt: '2026-05-31'},
measurementValue: 4.1,
noteMessage: 'Monthly health update'
})
};
fetch('https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'type' => 'MONTH',
'startsAt' => '2026-05-01',
'endsAt' => '2026-05-31'
],
'measurementValue' => 4.1,
'noteMessage' => 'Monthly health update'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements"
payload := strings.NewReader("{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9c33ca26-1580-4284-b96c-79f6429884c4",
"metricPeriod": {
"id": "35517f84-9b38-4f03-bec5-28f2c87f6afb"
},
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"value": 4.1,
"creationTimestamp": "2026-05-13T12:08:00Z"
}Authorizations
Owner-typed API key (ORGANIZATION, PERSON, VALUE_UNIT). Manage org-scoped lifecycle with /v1/public-api-keys; cross-org governance is restricted to /v1/sys/public-api-keys.
Path Parameters
Pattern:
[^\s_]\S*Body
application/json
Create payload for a health metric measurement.
⌘I
Create health metric measurement
curl --request POST \
--url https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"measurementValue": 4.1,
"noteMessage": "Monthly health update"
}
'import requests
url = "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements"
payload = {
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"measurementValue": 4.1,
"noteMessage": "Monthly health update"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
period: {type: 'MONTH', startsAt: '2026-05-01', endsAt: '2026-05-31'},
measurementValue: 4.1,
noteMessage: 'Monthly health update'
})
};
fetch('https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'period' => [
'type' => 'MONTH',
'startsAt' => '2026-05-01',
'endsAt' => '2026-05-31'
],
'measurementValue' => 4.1,
'noteMessage' => 'Monthly health update'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements"
payload := strings.NewReader("{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.agile-tools.io/v1/public/health-metrics/{id}/measurements")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"period\": {\n \"type\": \"MONTH\",\n \"startsAt\": \"2026-05-01\",\n \"endsAt\": \"2026-05-31\"\n },\n \"measurementValue\": 4.1,\n \"noteMessage\": \"Monthly health update\"\n}"
response = http.request(request)
puts response.read_body{
"id": "9c33ca26-1580-4284-b96c-79f6429884c4",
"metricPeriod": {
"id": "35517f84-9b38-4f03-bec5-28f2c87f6afb"
},
"period": {
"type": "MONTH",
"startsAt": "2026-05-01",
"endsAt": "2026-05-31"
},
"value": 4.1,
"creationTimestamp": "2026-05-13T12:08:00Z"
}
